{ config, lib, pkgs, ... }:
let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
in mkIf cfg.xmonad {
  # Paquets spécifiques pour un ordinateur portable

  environment.systemPackages = with pkgs;[
    dmenu
    haskellPackages.xmobar
  ];

  services.xserver.windowManager.xmonad.enable = true;
  services.xserver.windowManager.xmonad.enableContribAndExtras = true;
  services.xserver.windowManager.xmonad.extraPackages = haskellPackages: [
    haskellPackages.xmobar
  ];
}
